import 'package:gmalpha_flutter/userModel/user/UserUtil.user.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:mmkv_flutter/mmkv_flutter.dart';

MmkvFlutter _mmkv;

applicationInit() async {
  _mmkv = await MmkvFlutter.getInstance();
}

Future saveBoolKv(String key, bool value) async {
  return await _mmkv.setBool(key, value);
}

Future saveStringKv(String key, String value) async {
  return await _mmkv.setString(key, value);
}

Future saveDoubleKv(String key, double value) async {
  return await _mmkv.setDouble(key, value);
}

Future<bool> saveIntKv(String key, int value) async {
  return await _mmkv.setInt(key, value);
}

Future<String> getStringKv(String key) async {
  return await _mmkv.getString(key);
}

Future<bool> getBoolKv(String key) async {
  return await _mmkv.getBool(key);
}

Future<int> getIntKv(String key) async {
  return await _mmkv.getInt(key);
}

Future<double> getDoubleKv(String key) async {
  return await _mmkv.getDouble(key);
}

Future<bool> clearKv() async{
  return await _mmkv.clear();
}
